import os

from python_tqt.qt import TQLabel

from tdecore import TDEApplication

class PageLaunch:
    def __init__ (self, parent):
        self.page = parent.addPage ()

        x = 10
        y = 10

        launchLbl   = TQLabel ("Launching application ... please wait\n\nClose launched application to continue", self.page)
        launchLbl.setGeometry (x, y, 300, 80)
        launchLbl.show ()

        self.page.show ()

        TDEApplication.kApplication ().processEvents ()


class PageNotImpl:
    def __init__ (self, parent):
        self.page = parent.addPage ()

        x = 10
        y = 10

        niLbl   = TQLabel ("Nothing is currently implemented for this widget", self.page)
        niLbl.setGeometry (x, y, 300, 20)
        niLbl.show ()


def menuTDEAccelGen (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuTDEAccelMenu (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuTDEAction (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuTDEActionMenu (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuTDEActionSeparator (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKContextMenuManager (parent):
    pass

def menuKDCOPActionProxy (parent):
    pass

def menuKHelpMenu (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKMenuBar (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKPanelApplet (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuKPanelExtension (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuKPanelMenu (parent):
    parent.currentPageObj = PageNotImpl (parent)

def menuTDEPopupFrame (parent):
    pass

def menuTDEPopupMenu (parent):
    pass

def menuTDEPopupTitle (parent):
    pass

def menuKStatusBar (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKStatusBarLabel (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKStdAction (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuTDEToolBar (parent):
    parent.currentPageObj = PageLaunch (parent)
    os.system ("python menudemo.py")

def menuKWindowListMenu (parent):
    pass


if __name__ == "__main__":
    print
    print "Please run uisampler.py"
    print